% Funzione che converte i dati grezzi del Tilt Link HR in dati di
% angoli (acc_TLHR)

function [angTLHR,tempTLHR] = conv_grezziTLHR(angTLHR,tempTLHR,DCalTLHRTot,...
    rTLHR,FileName)

text = 'conv_grezziTLHR function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

if DCalTLHRTot(:,4) == 0 % Guadagno asse X e asse Y in comune
    caTLHR = DCalTLHRTot(:,1);
    caT_HR = DCalTLHRTot(:,2);
    intT_HR = DCalTLHRTot(:,3);
    XY = 1;
else
    caTLHR = [DCalTLHRTot(:,1) DCalTLHRTot(:,2)];
    caT_HR = DCalTLHRTot(:,3);
    intT_HR = DCalTLHRTot(:,4);
    XY = 0;
end

i = 1;
m = 1;
c = 1;
% Contatore dei nodi, converte i punti ADC con le calibrazioni in valori
% angolari
while i <= 2*rTLHR % nodo
    if XY == 1
        angTLHR(:,i) = angTLHR(:,i)*caTLHR(m,1);
        i = i+1;
        if c == 2
            m = m+1;
            c = 1;
        else
            c = c+1;
        end
    else
        angTLHR(:,i) = angTLHR(:,i)*caTLHR(m,1);
        angTLHR(:,i+1) = angTLHR(:,i+1)*caTLHR(m,2);
        i = i+2;
        m = m+1;
    end
end

%% Conversione delle temperature
for t = 1:rTLHR
    tempTLHR(:,t) = tempTLHR(:,t)*caT_HR(t,1) + intT_HR(t,1);
end

text = 'Raw Data of Tilt Link HR V converted into physical units correctly. conv_grezziTLHR function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end